## python-jsonschema-specifications 2023.12.1

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --strip-extras docs/requirements.in
#
alabaster==0.7.13
    # via sphinx
attrs==23.1.0
    # via referencing
babel==2.13.1
    # via sphinx
beautifulsoup4==4.12.2
    # via furo
certifi==2023.7.22
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.20.1
    # via sphinx
furo==2023.9.10
    # via -r docs/requirements.in
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via sphinx
file:.#egg=jsonschema_specifications
    # via -r docs/requirements.in
markupsafe==2.1.3
    # via jinja2
packaging==23.2
    # via sphinx
pyenchant==3.2.2
    # via sphinxcontrib-spelling
pygments==2.16.1
    # via
    #   furo
    #   pygments-github-lexers
    #   sphinx
pygments-github-lexers==0.0.5
    # via -r docs/requirements.in
referencing==0.31.0
    # via jsonschema-specifications
requests==2.31.0
    # via sphinx
rpds-py==0.12.0
    # via referencing
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.2.6
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-basic-ng
    #   sphinx-copybutton
    #   sphinxcontrib-applehelp
    #   sphinxcontrib-devhelp
    #   sphinxcontrib-htmlhelp
    #   sphinxcontrib-qthelp
    #   sphinxcontrib-serializinghtml
    #   sphinxcontrib-spelling
    #   sphinxext-opengraph
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-copybutton==0.5.2
    # via -r docs/requirements.in
sphinxcontrib-applehelp==1.0.7
    # via sphinx
sphinxcontrib-devhelp==1.0.5
    # via sphinx
sphinxcontrib-htmlhelp==2.0.4
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.6
    # via sphinx
sphinxcontrib-serializinghtml==1.1.9
    # via sphinx
sphinxcontrib-spelling==8.0.0
    # via -r docs/requirements.in
sphinxext-opengraph==0.9.0
    # via -r docs/requirements.in
urllib3==2.1.0
    # via requests

=== debian/changelog ===
python-jsonschema-specifications (2023.12.1-2) unstable; urgency=medium

  * Drop python3-hatch-vcs and python3-hatchling from build-depends
    (Closes: #1078043).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 13:02:50 +0200

python-jsonschema-specifications (2023.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Added python3-pytest as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 10:25:42 +0100

python-jsonschema-specifications (2023.11.1-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Nov 2023 10:02:16 +0100

python-jsonschema-specifications (2023.11.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1056044)

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Nov 2023 14:53:06 +0100

=== debian/control ===
Source: python-jsonschema-specifications
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
Build-Depends-Indep:
 python3-hatch-vcs,
 python3-hatchling,
 python3-pytest,
 python3-referencing,
 python3-rpds-py,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-jsonschema-specifications
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-jsonschema-specifications.git
Homepage: https://github.com/python-jsonschema/jsonschema-specifications

Package: python3-jsonschema-specifications
Architecture: all
Depends:
 python3-referencing,
 python3-rpds-py,
 ${misc:Depends},
 ${python3:Depends},
Description: JSON Schema meta-schemas and vocabularies, exposed as a Registry
 This package contains JSON support files from the JSON Schema Specifications
 (metaschemas, vocabularies, etc.), packaged for runtime access from Python as
 a referencing-based Schema Registry.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/python-jsonschema/jsonschema-specifications
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=jsonschema-specifications
#export PYBUILD_TEST_ARGS=-k 'not test_ipv4_validation_of_IP_addresses_leading_zeroes_should_be_rejected_as_they_are_treated_as_octals'

export PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# We need .egg_info for tests
	set -e ; set -x ; for pyvers in $(PYTHON3S) ; do \
		python$$pyvers -m build --skip-dependency-check --no-isolation --wheel --outdir $(CURDIR)/debian/tmp ; \
	done
	dh_auto_test

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/jsonschema-specifications/jsonschema-specifications-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
